using System;
using Android.App;
using Android.OS;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Android;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Shapes;
using GoogleMapsMapType = ThinkGeo.MapSuite.Android.GoogleMapsMapType;
using GoogleMapsPictureFormat = ThinkGeo.MapSuite.Android.GoogleMapsPictureFormat;

namespace TesteMapa
{
    [Activity(Label = "MapActivity")]
    public class MapActivity : Activity
    {
        private MapView _map;
        // Version 10

        protected override void OnCreate(Bundle savedInstanceState)
        {
            base.OnCreate(savedInstanceState);

            SetContentView(Resource.Layout.Map);

            _map = FindViewById<MapView>(Resource.Id.map);

            _map.MapUnit = GeographyUnit.Meter;

            _map.CurrentExtent = new RectangleShape(-5497249.42190828, -3331412.67454917, -5475979.78941047, -3357556.59782772);

            SetarMapaGoogleTerrain();

            _map.Refresh();
        }

        private void SetarMapaGoogleTerrain()
        {
            _map.Overlays.Add(new OpenStreetMapOverlay());
        }

        protected override void OnDestroy()
        {
            _map.Overlays.Clear();
            _map.Dispose();
            _map = null;

            base.OnDestroy();

            GC.Collect();
            GC.WaitForPendingFinalizers();
        }
    }
}